package edu.travel.controller;

import edu.travel.adapter.service.country.CountryAdapter;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ServiceCountryVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;


/**
 * 服务国家表(base_country_serve)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/baseCountryServe")
public class BaseCountryServeController {
    @Autowired
    private CountryAdapter countryAdapter;

    /**
     * 选择服务国家
     */
    @PostMapping("/selection")
    public RPCBaseResponse<Void> selection(@RequestBody String countryId) {
        return countryAdapter.selection(countryId);
    }
    /**
     *
     */
    @PostMapping("/grouped")
    public RPCBaseResponse<Map<String, List<ServiceCountryVo>>> grouped() {
        return countryAdapter.grouped();
    }

}
