package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.annotation.LinkMany;
import edu.travel.commodity.mapper.ShopSpecValueMapper;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * 商品规格表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_product_spec")
public class ShopProductSpec extends BaseEntity {
    /**
     * 商品规格ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private Long productId;

    /**
     * 规格名称
     */
    @TableField(value = "spec_name")
    private String specName;

    /**
     * 规格Id
     */
    @TableField(value = "spec_id")
    private Long specId;

    /**
     * 排序
     */
    @TableField(value = "sort_order")
    private Long sortOrder;
    /**
     * 规格值Map
     */
    @TableField(exist = false)
    @LinkMany(linkField = "id", linkMapper = ShopSpecValueMapper.class, linkPrimaryField = "product_spec_id")
    private List<Map<String, Object>>specMap;

}