package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.entity.ShopProductSpec;
import edu.travel.remote.dto.InsertProductSpecDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.dto.ProductSpecInsertShopSpecDto;
import edu.travel.remote.vo.ProductSpecInsertShopSpecVo;
import edu.travel.remote.vo.ProductSpecVo;
import edu.travel.remote.vo.SpecSortVo;
import edu.travel.remote.vo.SpecValueSortVo;
import edu.travel.rpc.RPCBaseResponse;

import java.util.List;

public interface ShopProductSpecService extends IService<ShopProductSpec> {


    ProductSpecVo getShopSpec(ProductSpecDto param);

    List<SpecSortVo> getSpecSortVoList(String productId);

    boolean insertProductSpec(List<InsertProductSpecDto> specs, ShopProduct bean);

    RPCBaseResponse<List<ProductSpecVo>> getShopSpecSortVoList(String specId);
     //通过product_id，自动填充商品规格
    RPCBaseResponse<ProductSpecInsertShopSpecVo> insertOrUpdateProductSpecAndShopSpec(ProductSpecInsertShopSpecDto entity);
}
